## osicat 0.7.0+git20220117.a45eb3b

=== debian/changelog ===
osicat (0.7.0+git20220117.a45eb3b-1build1) kinetic; urgency=medium

  * No-change upload to attempt autopkgtest fix.

 -- Sergio Durigan Junior <sergio.durigan@canonical.com>  Mon, 11 Jul 2022 17:59:39 -0400

osicat (0.7.0+git20220117.a45eb3b-1) unstable; urgency=medium

  * New upstream snapshot.
  * Refresh patches.

 -- Sean Whitton <spwhitton@spwhitton.name>  Wed, 02 Feb 2022 14:07:58 -0700

osicat (0.7.0+git20210913.2a431d0-2) unstable; urgency=medium

  * Add use-alternative-FCNTL.1-test-on-all-64-bit-Linux-archs.patch.

 -- Sean Whitton <spwhitton@spwhitton.name>  Tue, 21 Sep 2021 23:11:29 -0700

osicat (0.7.0+git20210913.2a431d0-1) unstable; urgency=medium

  * New upstream snapshot.

 -- Sean Whitton <spwhitton@spwhitton.name>  Mon, 13 Sep 2021 10:04:02 -0700

osicat (0.7.0+git20210909.0e90e51-1) unstable; urgency=medium

  * New upstream snapshot.

 -- Sean Whitton <spwhitton@spwhitton.name>  Thu, 09 Sep 2021 10:21:08 -0700

osicat (0.7.0+git20210903.27affc2-1) unstable; urgency=medium

  * New upstream snapshot.
  * Drop patch merged upstream.
  * Refresh remaining patches.

 -- Sean Whitton <spwhitton@spwhitton.name>  Sat, 04 Sep 2021 12:12:37 -0700

osicat (0.7.0+git20210221.e635611-1) unstable; urgency=medium

  * Initial release (Closes: #991866).

 -- Sean Whitton <spwhitton@spwhitton.name>  Wed, 04 Aug 2021 13:52:39 -0700

## osicat 0.7.0+git20241215.37a3521

=== doc/Makefile ===
# -*- Mode: Makefile; tab-width: 4; indent-tabs-mode: t -*-

MANUAL := "osicat"
SYSTEM := "osicat"
PACKAGES := osicat
TITLE := "Osicat Manual"
CSS := "default"

export LISP ?= sbcl
export SBCL_OPTIONS ?= --noinform

.PHONY: all clean html pdf upload

all:
	texinfo-docstrings all $(SYSTEM) $(MANUAL) $(TITLE) $(CSS) $(PACKAGES)

pdf:
	texinfo-docstrings pdf $(SYSTEM) $(MANUAL) $(TITLE) $(CSS) $(PACKAGES)

html:
	texinfo-docstrings html $(SYSTEM) $(MANUAL) $(TITLE) $(CSS) $(PACKAGES)

upload:
	rsync -av --delete -e ssh manual common-lisp.net:/project/osicat/public_html/
#	scp -r manual common-lisp.net:/project/osicat/public_html/

clean:
	find . \( -name "*.pdf" -o -name "*.html" -o -name "*.info" -o -name "*.aux" -o -name "*.cp" -o -name "*.fn" -o -name "*.fns" -o -name "*.ky" -o -name "*.log" -o -name "*.pg" -o -name "*.toc" -o -name "*.tp" -o -name "*.vr" -o -name "*.dvi" -o -name "*.cps" -o -name "*.vrs" \) -exec rm {} \;
	rm -rf include manual

# vim: ft=make ts=4 noet

=== debian/changelog ===
osicat (0.7.0+git20241215.37a3521-1) unstable; urgency=medium

  * New upstream snapshot.
  * Refresh patches.

 -- Sean Whitton <spwhitton@spwhitton.name>  Sun, 09 Mar 2025 17:23:36 +0800

=== debian/control ===
Source: osicat
Section: lisp
Priority: optional
Maintainer: Debian Common Lisp Team <debian-common-lisp@lists.debian.org>
Uploaders: Sean Whitton <spwhitton@spwhitton.name>
Build-Depends: debhelper-compat (= 13)
Standards-Version: 4.5.1
Homepage: https://www.common-lisp.net/project/osicat/
Vcs-Git: https://salsa.debian.org/common-lisp-team/osicat.git
Vcs-Browser: https://salsa.debian.org/common-lisp-team/osicat
Rules-Requires-Root: no

Package: cl-osicat
Architecture: all
Depends: cl-alexandria, cl-cffi, cl-trivial-features, ${misc:Depends}
Description: lightweight operating system interface for Common Lisp on POSIX-like systems
 Portable, low-level access to POSIX functionality from Common Lisp, including:
 .
  * directory iteration and deletion
  * environment variables
  * symbolic links
  * file permissions
  * identification of file types.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

execute_after_dh_install:
	rm debian/cl-osicat/usr/share/common-lisp/source/osicat/posix/.gitignore
	chmod 644 debian/cl-osicat/usr/share/common-lisp/source/osicat/osicat.asd \
		debian/cl-osicat/usr/share/common-lisp/source/osicat/src/osicat.lisp
